---
title: AstroPaper主题
pubDatetime: 2025-03-22T22:11:00+08:00
description: AstroPaper中文定制主题
featured: true
tags:
 - AstroPaper
 - 博客
 - 主题
---

## 定制

大大小小建立过接近十个博客网站了，用过WordPress、Halo、Typecho、Hexo、Hugo、VitePress、VuePress、Docsify，而现在选用了AsterPaper作为我的博客主题。AstroPaper和其他博客主题不太一样的在于AstroPaper实际上是使用Astro框架实现的一个博客，相对其他来说可定制性高一点，而且简洁、SEO友好。可惜的是原主题是英文的，而得益于可定制性高，我对全站进行了汉化，同时进行了以下调整：

1. 修复搜索页面Bug：反复点击导航栏的搜索按钮会导致搜索页面出现多个搜索框。
2. 增加备案号展示，取消底部多余的社交图标。
3. 支持文档二级目录，但也引入一个Bug：不设置Slug的话，build会报错，dev则没事。
4. 增加一个<meta>标签用于记录页面hash以Url推送或者IndexNow时避免重复。
5. 支持subtitle、keywords以优化SEO。
6. 支持数学公式。

具体代码可见 [astro-paper-zh](https://codeberg.org/blue-cape/astro-paper-zh)或者[astro-paper-zh](https://git.dev-kit.cn/Outsider/astro-paper-zh)

## 后续计划
1. 修复二级目录带来的Bug
2. 页面支持输入页面直接跳转

## 考虑
1. 支持分类
2. 支持文章目录